文档首页 > > 用户指南> 产品公告> 集群节点高危操作

集群节点高危操作

分享
更新时间: 2020/01/22 GMT+08:00

集群使用须知

  • 在创建、删除、扩容和缩容集群的操作中,请不要在统一身份认证服务(IAM)中执行权限变更或修改的操作,可能会导致创建、删除、扩容和缩容集群执行失败。
  • CCE节点的容器网络canal会使用一个网段作为容器网络的网段,该网段在创建集群时可配置,默认为172.16.0.0/16;docker服务也会默认创建一个docker0的网桥,docker0的默认地址为172.17.0.1。创建集群时,请确保集群中VPC(虚拟私有云)所在的网段不能和上述两个网段重复。使用VPC的对等连接功能时,对端的VPC也不能和上述两个网段重复。

节点使用须知

节点的部分资源需要运行一些必要的Kubernetes系统组件和Kubernetes系统资源,使该节点可作为您的集群的一部分。 因此,您的节点资源总量与节点在Kubernetes中的可分配资源之间会存在差异。节点的规格越大,在节点上部署的容器可能会越多,所以Kubernetes自身需预留更多的资源。

为了保证节点的稳定性,CCE集群节点上会根据节点的规格预留一部分资源给Kubernetes的相关组件(kubelet、kube-proxy以及docker等)。

节点高危操作

通过CCE所创建的节点,在您登录到该节点后,执行以下操作时请务必谨慎,否则会导致该节点不可用

表1 导致节点不可用的高危操作

序号

高危操作

导致后果

误操作后解决方案

1

Kubernetes软件依赖系统内核版本,请不要使用yum update更新或重装节点的操作系统内核(使用原镜像或其它镜像重装均属高危操作)

节点不可用

您可以重置节点,具体请参见重置节点

2

请勿使用yum update升级系统组件

节点不可用/网络异常

EulerOS 2.2恢复方式请参见如何解决yum update升级操作系统导致容器网络不可用问题?

非EulerOS 2.2您可以重置节点,具体请参见重置节点

3

请勿删除opt、/var/paas目录,删除数据盘

节点不可用

您可以重置节点,具体请参见重置节点

4

不要对集群的节点进行磁盘格式化或分区

节点不可用

您可以重置节点,具体请参见重置节点

5

请不要在节点上安装自己的其他软件

导致安装在节点上的Kubernetes组件异常,节点状态变成不可用,无法部署工作负载到此节点。

卸载已安装软件,尝试恢复。

6

建议不要修改安全组、云硬盘等信息

集群功能异常/节点不可用

注:CCE创建的资源标记有“cce-”,如:cce-evs-jwh9pcl7-****

参照新建集群的安全组进行修复。

分享:

    相关文档

    相关产品

文档是否有解决您的问题?

提交成功!

非常感谢您的反馈,我们会继续努力做到更好!

反馈提交失败,请稍后再试!

*必选

请至少选择或填写一项反馈信息

字符长度不能超过200

提交反馈 取消

如您有其它疑问,您也可以通过华为云社区问答频道来与我们联系探讨

跳转到云社区